CVE-2003-0079
CVSS2.1
发布时间 :2003-03-03 00:00:00
修订时间 :2016-10-17 22:29:18
NMCOS    

[原文]The DEC UDK processing feature in the hanterm (hanterm-xf) terminal emulator before 2.0.5 allows attackers to cause a denial of service via a certain character escape sequence that causes the terminal to enter a tight loop.


[CNNVD]Hanterm-XF基于循环的转义序列拒绝服务漏洞(CNNVD-200303-010)

        
        转义序列(escape sequence)是一系列由ASCII转义字符(0x1B)开始的字符序列,并附带特殊的参数构成,转义序列一般原用于控制显示设备如终端,现在扩展在大多数操作系统中允许多种形式的交互。转义序列可以用于更改文本属性(颜色,宽度),移动鼠标位置,重配置键盘,更新窗口标题,或者操作打印机等。
        hanterm-xf终端模拟器不正确过滤部分恶意基于循环的转义序列,本地攻击者可以利用这个漏洞消耗系统大量CPU资源而产生拒绝服务。
        当由DEC UDK处理器实现的模拟终端不充分处理基于循环的转义序列符号,攻击者提交如下的请求可导致进入恶性循环,造成消耗大量资源而产生拒绝服务:
        $ echo -e "\eP0;0|0A/17\x9c"
        

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0079
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0079
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200303-010
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/vulnwatch/2003-q1/0093.html
(VENDOR_ADVISORY)  VULNWATCH  20030224 Terminal Emulator Security Issues
http://marc.info/?l=bugtraq&m=104612710031920&w=2
(UNKNOWN)  BUGTRAQ  20030224 Terminal Emulator Security Issues
http://www.iss.net/security_center/static/11415.php
(VENDOR_ADVISORY)  XF  terminal-emulator-dec-udk(11415)
http://www.redhat.com/support/errata/RHSA-2003-070.html
(UNKNOWN)  REDHAT  RHSA-2003:070
http://www.redhat.com/support/errata/RHSA-2003-071.html
(UNKNOWN)  REDHAT  RHSA-2003:071
http://www.securityfocus.com/bid/6944
(UNKNOWN)  BID  6944

- 漏洞信息

Hanterm-XF基于循环的转义序列拒绝服务漏洞
低危 输入验证
2003-03-03 00:00:00 2005-05-13 00:00:00
本地  
        
        转义序列(escape sequence)是一系列由ASCII转义字符(0x1B)开始的字符序列,并附带特殊的参数构成,转义序列一般原用于控制显示设备如终端,现在扩展在大多数操作系统中允许多种形式的交互。转义序列可以用于更改文本属性(颜色,宽度),移动鼠标位置,重配置键盘,更新窗口标题,或者操作打印机等。
        hanterm-xf终端模拟器不正确过滤部分恶意基于循环的转义序列,本地攻击者可以利用这个漏洞消耗系统大量CPU资源而产生拒绝服务。
        当由DEC UDK处理器实现的模拟终端不充分处理基于循环的转义序列符号,攻击者提交如下的请求可导致进入恶性循环,造成消耗大量资源而产生拒绝服务:
        $ echo -e "\eP0;0|0A/17\x9c"
        

- 公告与补丁

        厂商补丁:
        Hanterm
        -------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.kr.freebsd.org/~hwang/hanterm/

- 漏洞信息

4918
Hangul Terminal hanterm-xf DoS
Remote / Network Access Denial of Service
Loss of Availability

- 漏洞描述

Hanterm-xf contains a flaw that may allow a remote denial of service. The issue is triggered when malformed escape sequences are injected into a user's terminal emulator session by an attacker and cause the terminal emulator to enter into a loop and crash, resulting in loss of availability for the platform.

- 时间线

2003-06-06 2003-02-24
2003-06-06 Unknow

- 解决方案

Upgrade to version 2.0.5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Hanterm-XF Loop-Based Escape Sequence Denial of Service Vulnerability
Input Validation Error 6944
No Yes
2003-02-24 12:00:00 2009-07-11 08:06:00
Discovery of these issues is credited to H D Moore and Digital Defense.

- 受影响的程序版本

RedHat hanterm-xf-p19-15.ia64.rpm
+ RedHat Linux 7.2 ia64
RedHat hanterm-xf-p19-15.i386.rpm
+ RedHat Linux 7.2 i386
RedHat hanterm-xf-p19-15.i386.rpm
+ RedHat Linux 7.3 i386
RedHat hanterm-xf-2.0.0-6.i386.rpm
+ RedHat Linux 8.0 i386
RedHat Enterprise Linux WS 2.1
RedHat Enterprise Linux ES 2.1
Red Hat Enterprise Linux AS 2.1 IA64
Red Hat Enterprise Linux AS 2.1
Hanterm hanterm-xf 2.0
RedHat hanterm-xf-2.0.5-5.8.0.i386.rpm
+ RedHat Linux 8.0 i386
RedHat hanterm-xf-2.0.5-5.7.4.ia64.rpm
+ RedHat Linux 7.2 ia64
RedHat hanterm-xf-2.0.5-5.7.4.i386.rpm
+ RedHat Linux 7.3 i386
RedHat hanterm-xf-2.0.5-5.7.4.i386.rpm
+ RedHat Linux 7.2 i386

- 不受影响的程序版本

RedHat hanterm-xf-2.0.5-5.8.0.i386.rpm
+ RedHat Linux 8.0 i386
RedHat hanterm-xf-2.0.5-5.7.4.ia64.rpm
+ RedHat Linux 7.2 ia64
RedHat hanterm-xf-2.0.5-5.7.4.i386.rpm
+ RedHat Linux 7.3 i386
RedHat hanterm-xf-2.0.5-5.7.4.i386.rpm
+ RedHat Linux 7.2 i386

- 漏洞讨论

The hanterm-xf terminal fails to sufficiently filter certain potentially malicious loop-based escape sequences, leaving the terminal open to attacks including attacker initiated tight loops that may exhaust CPU resources.

The problem has been reported to result from a lack of sufficient sanitization of potentially malicious escape sequences, which are handled by the DEC UDK processor implementation in the vulnerable terminal.

It is possible to exploit this issue if an attacker can cause malicious escape sequences to be displayed in a terminal window of a vulnerable terminal emulator.

- 漏洞利用

There is no exploit code required.

- 解决方案

Red Hat has released advisory RHSA-2003:070-01 with fixes to address this issue. Red Hat Enterprise Linux updates are available via the Red Hat Network.


RedHat hanterm-xf-p19-15.ia64.rpm

RedHat hanterm-xf-2.0.0-6.i386.rpm

RedHat hanterm-xf-p19-15.i386.rpm

RedHat hanterm-xf-p19-15.i386.rpm

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站